Bug 1273189 - Glade unable to open anaconda widgets
Glade unable to open anaconda widgets
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glade (Show other bugs)
7.1
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 17:46 EDT by Pat Riehecky
Modified: 2017-07-25 16:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 16:01:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Riehecky 2015-10-19 17:46:45 EDT
Description of problem:
Attempting to open anaconda glade files results in application error

Version-Release number of selected component (if applicable):
glade-3.15.0-5.el7.x86_64
anaconda-core-19.31.123-1.el7.x86_64


How reproducible:100%


Steps to Reproduce:
1.yum install anaconda-core anaconda-widgets andconda-gui
2.glade /usr/share/anaconda/ui/spokes/source.glade 
3.

Actual results:
$ glade /usr/share/anaconda/ui/spokes/source.glade 

** (glade:13727): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-zAonJOHrJs: Connection refused

(glade:13727): Gtk-CRITICAL **: gtk_recent_chooser_set_filter: assertion 'GTK_IS_RECENT_FILTER (filter)' failed
GladeUI-Message: No displayable values for property GtkEntry::input-purpose
GladeUI-Message: No displayable values for property GtkEntry::input-hints
GladeUI-Message: No displayable values for property GtkTextView::input-purpose
GladeUI-Message: No displayable values for property GtkTextView::input-hints

** (devhelp:13734): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-zAonJOHrJs: Connection refused

(glade:13727): GladeUI-CRITICAL **: glade_widget_adaptor_get_object_type: assertion 'GLADE_IS_WIDGET_ADAPTOR (adaptor)' failed

(glade:13727): GladeUI-CRITICAL **: glade_widget_set_object: assertion 'new_object == NULL || g_type_is_a (G_OBJECT_TYPE (new_object), glade_widget_adaptor_get_object_type (gwidget->priv->adaptor))' failed

(glade:13727): GladeUI-CRITICAL **: glade_widget_adaptor_create_internal: assertion 'GLADE_IS_WIDGET (parent)' failed

(glade:13727): GladeUI-CRITICAL **: glade_widget_remove_property: assertion 'GLADE_IS_WIDGET (widget)' failed

(glade:13727): GladeUI-CRITICAL **: glade_widget_remove_property: assertion 'GLADE_IS_WIDGET (widget)' failed

(glade:13727): GladeUI-CRITICAL **: glade_widget_remove_property: assertion 'GLADE_IS_WIDGET (widget)' failed

(glade:13727): GladeUI-ERROR **: Unable to get GladeWidget for internal child vbox

Trace/breakpoint trap


Expected results:
Able to open glade files

Additional info:
Comment 2 Thomas Oulevey 2017-01-24 05:31:05 EST
Do you have a workaround for this issue ?
Comment 3 Pat Riehecky 2017-01-24 09:59:24 EST
I used Fedora last time I needed it.
Comment 4 Thomas Oulevey 2017-01-24 10:26:45 EST
Thanks, that was my workaround :) 

I opened a case with RH anyway.
Comment 5 Chris Williams 2017-07-25 16:01:46 EDT
This BZ has been reviewed by Platform Product Leads for inclusion in RHEL 7.5. At this time this BZ does not appear to be technically urgent and appears to occur very infrequently so this BZ is being closed. If this BZ is critical to your environment please open a support case in the Red Hat Customer Portal and ask that this BZ be re-opened.
access.redhat.com

Note You need to log in before you can comment on or make changes to this bug.